#Module-Specific definitions
%define mod_name mod_auth_xradius
%define mod_conf 14_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	0.4.6
Release:	%mkrel 7
Group:		System/Servers
License:	Apache License
URL:		http://www.outoforder.cc/projects/apache/mod_auth_xradius/
Source0:	http://www.outoforder.cc/downloads/mod_auth_xradius/%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_auth_xradius-0.4.5-no_ap_prefix.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:  apache-devel >= 2.2.0
BuildRequires:  apr_memcache-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_auth_xradius provides high performance authentication against
RFC 2865 RADIUS Servers. 

Features:

 o Supports popular RADIUS Servers including OpenRADIUS,
   FreeRADIUS and commercial servers.
 o Distributed Authentication Cache using apr_memcache.
 o Local Authentication Cache using DBM.
 o Uses standard HTTP Basic Authentication, unlike
 mod_auth_radius which uses cookies for sessions.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p0

# lib64 fixes
perl -pi -e "s|/lib\ |/%{_lib}\ |g" m4/apr_memcache.m4
perl -pi -e "s|/lib/|/%{_lib}/|g" m4/apr_memcache.m4

%build
#sh autogen.sh
rm -f configure
libtoolize --force --copy; aclocal -I m4; autoheader; automake --add-missing --copy --foreign; autoconf
rm -rf autom4te.cache

%configure2_5x \
    --with-apxs=%{_sbindir}/apxs \
    --with-apr-memcache=%{_prefix}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE NOTICE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-7mdv2008.1
+ Revision: 181677
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.4.6-6mdv2008.1
+ Revision: 170711
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-5mdv2008.0
+ Revision: 82527
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-4mdv2008.0
+ Revision: 65624
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.6-3mdv2007.1
+ Revision: 140628
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-2mdv2007.0
+ Revision: 79341
- Import apache-mod_auth_xradius

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-2mdv2007.0
- rebuild

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.6-1mdk
- 0.4.6

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4.5-1mdk
- fix versioning

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.4.5-2mdk
- fix deps

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.4.5-1mdk
- initial Mandriva package

